## org.eclipse.datatools.sqltools.sqleditor.internal.profile
Class SQLEditorProfileListener

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.profile.SQLEditorProfileListener

All Implemented Interfaces:
  org.eclipse.datatools.sqltools.core.profile.ISQLToolsProfileListener, ISQLToolsConnectListener

    public class SQLEditorProfileListener

extends java.lang.Object
implements org.eclipse.datatools.sqltools.core.profile.ISQLToolsProfileListener, ISQLToolsConnectListener

Author:
  Hui Cao

Constructor Summary
`SQLEditorProfileListener()`

Method Summary
`void` `aboutToClose(ConnectEvent event)` The profile is about to close
`void` `closeConnection(ConnectEvent event)` The profile is to be disconnected
`boolean` `okToClose(ConnectEvent event)` Asks if the profile can be closed currently
`void` `profileAdded(IConnectionProfile profile)`
`void` `profileChanged(IConnectionProfile profile, java.lang.String oldName, java.lang.String oldDesc, java.lang.Boolean oldAutoConnect, boolean onlyNameChanged, org.eclipse.datatools.sqltools.core.profile.ConnectProfile oldProfile)`
`void` `profileConnected(ConnectEvent event)` The profile is connected.
`void` `profileDeleted(IConnectionProfile profile)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLEditorProfileListener

    public SQLEditorProfileListener()

Method Detail

### profileAdded

    public void profileAdded(IConnectionProfile profile)

  Specified by:
    `profileAdded` in interface `org.eclipse.datatools.sqltools.core.profile.ISQLToolsProfileListener`

### profileChanged

    public void profileChanged(IConnectionProfile profile,
                               java.lang.String oldName,
                               java.lang.String oldDesc,
                               java.lang.Boolean oldAutoConnect,
                               boolean onlyNameChanged,
                               org.eclipse.datatools.sqltools.core.profile.ConnectProfile oldProfile)

  Specified by:
    `profileChanged` in interface `org.eclipse.datatools.sqltools.core.profile.ISQLToolsProfileListener`

### profileDeleted

    public void profileDeleted(IConnectionProfile profile)

  Specified by:
    `profileDeleted` in interface `org.eclipse.datatools.sqltools.core.profile.ISQLToolsProfileListener`

### closeConnection

    public void closeConnection(ConnectEvent event)

  Description copied from interface: `ISQLToolsConnectListener`
  The profile is to be disconnected

  Specified by:
    `closeConnection` in interface `ISQLToolsConnectListener`
  Parameters:
    `event` - the connect event

### okToClose

    public boolean okToClose(ConnectEvent event)

  Description copied from interface: `ISQLToolsConnectListener`
  Asks if the profile can be closed currently

  Specified by:
    `okToClose` in interface `ISQLToolsConnectListener`
  Parameters:
    `event` - the connect event
  Returns:
    <true> if the profile can be close, <false> otherwise

### aboutToClose

    public void aboutToClose(ConnectEvent event)

  Description copied from interface: `ISQLToolsConnectListener`
  The profile is about to close

  Specified by:
    `aboutToClose` in interface `ISQLToolsConnectListener`
  Parameters:
    `event` - the connect event

### profileConnected

    public void profileConnected(ConnectEvent event)

  Description copied from interface: `ISQLToolsConnectListener`
  The profile is connected. There is no guarantee that all components (which depend on connectivity) are successfully connected

  Specified by:
    `profileConnected` in interface `ISQLToolsConnectListener`
  Parameters:
    `event` - the connect event